<?php
/*
Plugin Name: Comment Count Admin
Description: Displays a count of each commenters total number of comments (by comment_url) next to their name on the admin page.
Plugin URI:  http://www.crazytoast.de/plugin-comment-count-admin-kommentarzaehler.html
Version:     1.2
Author:      Crazy Girl
Author URI:  http://www.crazytoast.de/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

------------------------------------------------------------------------------------
 ACKNOWLEDGEMENT
------------------------------------------------------------------------------------
Thanks to Olli for his ideas and active support
http://blog.splash.de/
------------------------------------------------------------------------------------
*/

function comment_counter_admin() {	
	global $wpdb, $comment;
	$cca_admin = "admin"; //please replace admin with your name if your admin name is not admin

	if ( '' == $comment->comment_type && ( !empty($comment->comment_author_url) || $cca_admin == $comment->comment_author ) ) {
		$queryString="SELECT COUNT(*) as comments FROM ".$wpdb->comments.
					 " WHERE comment_author_url='".$wpdb->escape($comment->comment_author_url)."'";
		$comments_count = $wpdb->get_var($queryString);
		$comments_count = "&nbsp;($comments_count)"; 
		return $comment->comment_author.$comments_count;
		
	} else {
		return $comment->comment_author;
	}
}

if ( is_admin() ) {
	add_filter('get_comment_author', 'comment_counter_admin');
}
?>